Retrieve workflow configuration
Retrieve a previously created workflow configuration using the specified “configId”.
GET
/
payments
/
workflow_config
/
{configId}
Retrieve workflow configuration
curl --request GET \
--url https://api.fireblocks.io/v1/payments/workflow_config/{configId}import requests
url = "https://api.fireblocks.io/v1/payments/workflow_config/{configId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/payments/workflow_config/{configId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configId": "<string>",
"configName": "<string>",
"createdAt": 123,
"configOperations": [
{
"operationId": "<string>",
"type": "CONVERSION",
"params": {
"destAssetId": "<string>",
"amount": "<string>",
"accountId": "<string>",
"srcAssetId": "<string>",
"slippageBasisPoints": 5000
},
"validationFailure": {
"data": {}
}
}
],
"preScreening": {
"enabled": true
},
"externalCorrelationData": {}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Path Parameters
Response
Returns a workflow configuration
Available options:
PENDING, VALIDATION_IN_PROGRESS, VALIDATION_FAILED, READY_FOR_EXECUTION - Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Retrieve workflow configuration
